/* 
-- Debug styles section
*/
/* section.data-entry {
    border: 1px solid black;
} */
/* div.common-form {
    border: 1px dashed darkmagenta;
} */
/* section.client-listing {
    border: 1px solid red;
} */

/* 
-- End Debug styles section
*/

/* Common form styles */
div.top-banner {
    display: flex;
    align-items: center;
    background-color: #003b49;
    padding: 10px;
}

    div.top-banner span#banner-label {
        color: white;
        font-weight: bold;
        font-size: 1.25rem;
    }

div.highlight-border {
    border: solid 1px lightgrey;
    border-radius: 5px;
}

div.toolbar {
    height: 150px;
}

div.toolbar-section {
    border-bottom: 1px solid var(--bs-gray-400);
}
/* Icon related styles */
.bi {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-lg {
    display: inline-block;
    position: relative;
    width: 1.5rem;
    height: 1.5rem;
    margin-right: 0.5rem;
    top: -1px;
    background-size: cover;
}

.icon-warning {
    color: var(--bs-warning-rgb);
}

.bi-search {
    background-image: url('icons/search.svg');
}

.bi-database-slash {
    background-image: url('icons/database-slash.svg');
}

.bi-database-exclamation {
    background-image: url('icons/database-exclamation.svg');
}

.bi-database-check {
    background-image: url('icons/database-check.svg');
}

.bi-database-add {
    background-image: url('icons/database-add.svg');
}

.bi-database-dash {
    color: var(--bs-warning-rgb);
    background-image: url('icons/database-dash.svg');
}

.bi-hourglass {
    background-image: url('icons/hourglass.svg');
}

.bi-email-exclamation {
    background-image: url('icons/envelope-exclamation.svg');
}

.bi-exclamation-triangle {
    background-image: url('icons/exclamation-triangle.svg');
}

.bi-file-text {
    background-image: url('icons/file-text.svg');
}

.bi-square-check {
    background-image: url('icons/check2-square.svg');
}

.bi-square-empty {
    background-image: url('icons/square.svg');
}

.bi-building-white {
    background-image: url('/icons/building.svg');
}

.bi-sites {
    background-image: url('/icons/buildings.svg');
}

.bi-building-add {
    background-image: url('icons/building-add.svg');
}

.bi-building-slash {
    background-image: url('icons/building-slash.svg');
}

.bi-building-check {
    background-image: url('icons/building-check.svg');
}

.bi-building-black {
    background-image: url('icons/building-black.svg');
}

.bi-buildings-black {
    background-image: url('icons/buildings-black.svg');
}

.bi-building-dash {
    background-image: url('icons/building-dash.svg');
}

.bi-cloud-upload {
    background-image: url('icons/cloud-upload.svg');
}

.bi-plus-square {
    background-image: url('icons/plus-square.svg');
}

.bi-arrow-counter-clockwise {
    background-image: url('icons/arrow-counterclockwise.svg');
}

.bi-archive {
    background-image: url('icons/archive.svg');
}

.bi-eye {
    background-image: url('icons/eye.svg');
}

.bi-eye-slash {
    background-image: url('icons/eye-slash.svg');
}

.bi-forget {
    background-image: url('icons/eraser.svg');
}

.bi-instrument {
    background-image: url('/icons/activity.svg');
}

.bi-restore {
    background-image: url('icons/arrow-clockwise.svg');
}

.bi-computer {
    background-image: url('icons/laptop.svg');
}

.bi-building-up {
    background-image: url('icons/building-up.svg');
}


.bi-person-badge {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-badge' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0z'/%3E%3Cpath d='M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0h-7zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492V2.5z'/%3E%3C/svg%3E");
}

.bi-file-text-nav-menu {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="white" class="bi bi-file-text" viewBox="0 0 16 16"> <path d="M5 4a.5.5 0 0 0 0 1h6a.5.5 0 0 0 0-1zm-.5 2.5A.5.5 0 0 1 5 6h6a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5M5 8a.5.5 0 0 0 0 1h6a.5.5 0 0 0 0-1zm0 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1z"/> <path d="M2 2a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v12a2 2 0 0 1-2 2H4a2 2 0 0 1-2-2zm10-1H4a1 1 0 0 0-1 1v12a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1"/> </svg>');
}

.bi-people {
    background-image: url('icons/people.svg');
}

.bi-people-check {
    background-image: url('icons/person-check.svg');
}

.bi-people-slash {
    background-image: url('icons/person-slash.svg');
}

.bi-user-locked {
    background-image: url('icons/person-lock.svg');
}

.bi-add-user {
    background-image: url('icons/person-add.svg');
}

.bi-add-user-fill {
    background-image: url('icons/person-fill-add.svg');
}

.bi-exclamation-circle {
    background-image: url('icons/exclamation-circle.svg');
}

.bi-checkmark-circle {
    background-image: url('icons/check-circle.svg');
}


.bi-arrow-repeat {
    background-image: url('icons/arrow-repeat.svg');
}

.exclamation-yellow {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 16px;
    height: 16px;
    max-height: 24px;
    max-width: 24px;
    background-color: yellow; /* Yellow background */
    color: black; /* Black foreground (text or SVG color) */
}

/* TOC */
@media (min-width: 992px) {
    .bd-toc {
        position: -webkit-sticky;
        position: sticky;
        top: 5rem;
        right: 0;
        z-index: 2;
        height: calc(100vh - 7rem);
        overflow-y: auto
    }
}

.bd-toc nav {
    font-size: .875rem
}

    .bd-toc nav ul {
        padding-left: 0;
        margin-bottom: 0;
        list-style: none
    }

        .bd-toc nav ul ul {
            padding-left: 1rem
        }

    .bd-toc nav a {
        display: block;
        padding: .125rem 0 .125rem .75rem;
        color: inherit;
        text-decoration: none;
        border-left: .125rem solid transparent
    }

        .bd-toc nav a:hover, .bd-toc nav a.active {
            color: var(--bd-toc-color);
            border-left-color: var(--bd-toc-color)
        }

        .bd-toc nav a.active {
            font-weight: 500
        }

        .bd-toc nav a code {
            font: inherit
        }

.bd-toc-toggle {
    display: flex;
    align-items: center
}


@media (max-width: 575.98px) {
    .bd-toc-toggle {
        justify-content: space-between;
        width: 100%
    }
}

@media (max-width: 767.98px) {
    .bd-toc-toggle {
        color: var(--bs-body-color);
        border: 1px solid var(--bs-border-color);
        border-radius: var(--bs-border-radius)
    }

        .bd-toc-toggle:hover, .bd-toc-toggle:focus, .bd-toc-toggle:active, .bd-toc-toggle[aria-expanded="true"] {
            color: var(--bd-violet);
            background-color: var(--bs-body-bg);
            border-color: var(--bd-violet)
        }

        .bd-toc-toggle:focus, .bd-toc-toggle[aria-expanded="true"] {
            box-shadow: 0 0 0 3px rgba(var(--bd-violet-rgb), 0.25)
        }
}

@media (max-width: 767.98px) {
    .bd-toc-collapse nav {
        padding: 1.25rem 1.25rem 1.25rem 1rem;
        background-color: var(--bs-tertiary-bg);
        border: 1px solid var(--bs-border-color);
        border-radius: var(--bs-border-radius)
    }
}

@media (min-width: 768px) {
    .bd-toc-collapse {
        display: block !important
    }
}

.fa {
    vertical-align: -.125em;
    color: var(--bs-gray-800);
}

i.fab {
    font-size: var(--bs-body-font-size);
    font-weight: 400;
    height: 1.1rem;
    width: 1.1rem;
    color: var(--bs-gray-800);
}

.fa-plus {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='black' class='bi' viewBox='0 0 448 512'%3E%3C!--!Font Awesome Free 6.5.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2024 Fonticons, Inc.--%3E%3Cpath d='M256 80c0-17.7-14.3-32-32-32s-32 14.3-32 32V224H48c-17.7 0-32 14.3-32 32s14.3 32 32 32H192V432c0 17.7 14.3 32 32 32s32-14.3 32-32V288H400c17.7 0 32-14.3 32-32s-14.3-32-32-32H256V80z'/%3E%3C/svg%3E");
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.custom-table {
    border-collapse: collapse;
    border: 5px solid #003b49;
    border-bottom: 20px solid #003b49;
    width: 100%;
}

    .custom-table td {
        border: 1px solid lightgray; /* Table cells border */
        background-color: white; /* Background color for cells */
        color: black; /* Text color */
        padding: 5px; /* Optional padding */
    }

    .custom-table th {
        border: 1px solid white; /* Table header cells border */
        background-color: #003b49; /* Background color for headers */
        color: white; /* Text color for headers */
        padding: 5px; /* Optional padding */
    }



@page WordSection {
    size: 8.5in 11.0in;
    margin: 76.5pt 1.0in 81.0pt 1.0in;
}


.heading1-with-space span {
    margin-left: 2rem;
}

.heading2-with-space span {
    margin-left: 3rem;
}

.input-section {
    width: clamp(min(10vw, 20rem), 40vw, max(90vw, 55rem));
    padding: 1em;
}

.trademark {
    font-size: 0.8em; /* Makes the trademark symbol smaller */
    vertical-align: super; /* Positions it as a superscript */
}

@media (min-width: 992px) {
    .input-section {
        padding: 1.5em;
    }
}
